> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a sandbox preview token

> Creates a token for accessing a private sandbox preview.



## OpenAPI

````yaml post /v1/sandboxes/instances/{sandbox_name}/previews/{preview_name}/tokens
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/sandboxes/instances/{sandbox_name}/previews/{preview_name}/tokens:
    parameters:
      - $ref: '#/components/parameters/SandboxName'
      - $ref: '#/components/parameters/PreviewName'
    post:
      tags:
        - Previews
      summary: Create a preview token
      description: >-
        Create a token granting access to a private preview until expires_at.
        Append it to the preview URL as ?bl_preview_token=<token>.
      operationId: CreateSandboxPreviewToken
      parameters:
        - $ref: '#/components/parameters/TeamId'
        - $ref: '#/components/parameters/TeamIdHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSandboxPreviewTokenRequestV1'
            examples:
              complete:
                $ref: '#/components/examples/CreateSandboxPreviewToken'
      responses:
        '201':
          description: Token created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxPreviewTokenV1'
              examples:
                complete:
                  $ref: '#/components/examples/SandboxPreviewToken'
        '400':
          $ref: '#/components/responses/SandboxError400'
        '401':
          $ref: '#/components/responses/SandboxError401'
        '403':
          $ref: '#/components/responses/SandboxError403'
        '404':
          $ref: '#/components/responses/SandboxError404'
        '429':
          $ref: '#/components/responses/SandboxError429'
        '500':
          $ref: '#/components/responses/SandboxError500'
components:
  parameters:
    SandboxName:
      name: sandbox_name
      in: path
      required: true
      description: Immutable sandbox name returned by creation.
      schema:
        type: string
        minLength: 1
        example: baseten-api-review-0916
    PreviewName:
      name: preview_name
      in: path
      required: true
      description: Preview name returned by creation.
      schema:
        type: string
        minLength: 1
        example: web
    TeamId:
      name: team_id
      in: query
      required: false
      description: >-
        Optional team ID. Must match X-Team-Id when both are supplied. If
        neither selector is supplied, defaults to the caller's only accessible
        team. Callers with multiple accessible teams must select a team.
        Requests without access to any team are forbidden.
      schema:
        minLength: 1
        type: string
    TeamIdHeader:
      name: X-Team-Id
      in: header
      required: false
      description: >-
        Optional team ID. Must match the team_id query parameter when both are
        supplied. If neither selector is supplied, defaults to the caller's only
        accessible team. Callers with multiple accessible teams must select a
        team. Requests without access to any team are forbidden.
      schema:
        minLength: 1
        type: string
  schemas:
    CreateSandboxPreviewTokenRequestV1:
      type: object
      properties:
        create_if_not_exists:
          type: boolean
          description: >-
            When true, return an existing unexpired token of this preview that
            stays valid at least until expires_at instead of creating a new one.
            Defaults to false when omitted.
        expires_at:
          type: string
          format: date-time
          description: Time at which the token stops working. Must be in the future.
          example: '2026-10-13T12:00:00Z'
      required:
        - expires_at
    SandboxPreviewTokenV1:
      type: object
      description: Access token for a private preview.
      properties:
        name:
          type: string
          description: Token name, used in token_name path parameters.
          example: 7f3k2m9q1x8c4v6b0n5z
        token:
          type: string
          description: Value to send as the bl_preview_token query parameter.
          example: 7f3k2m9q1x8c4v6b0n5z
        expires_at:
          type: string
          format: date-time
          example: '2026-10-13T12:00:00Z'
        expired:
          type: boolean
          description: Whether expires_at has passed.
          example: false
      required:
        - name
        - token
        - expires_at
        - expired
  examples:
    CreateSandboxPreviewToken:
      summary: Token valid for one day
      value:
        expires_at: '2026-10-13T12:00:00Z'
    SandboxPreviewToken:
      summary: Created token
      value:
        name: 7f3k2m9q1x8c4v6b0n5z
        token: 7f3k2m9q1x8c4v6b0n5z
        expires_at: '2026-10-13T12:00:00Z'
        expired: false
  responses:
    SandboxError400:
      description: >-
        Invalid request. Returns a JSON error with code, message, and optional
        details.
      content:
        application/json:
          example:
            code: INVALID_REQUEST
            message: One or more request parameters are invalid.
            details:
              request_id: a3b7c4d2-91e6-4f08-9b5a-2c6d7e8f1043
    SandboxError401:
      description: >-
        Missing or invalid authentication. Returns a JSON error with code,
        message, and optional details.
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Provide a valid authentication token in the Authorization header.
            details:
              header: Authorization
    SandboxError403:
      description: >-
        Insufficient permissions. Returns a JSON error with code, message, and
        optional details.
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: >-
              This authentication token does not grant permission to perform
              this operation.
            details:
              request_id: a3b7c4d2-91e6-4f08-9b5a-2c6d7e8f1043
    SandboxError404:
      description: >-
        Resource not found. Returns a JSON error with code, message, and
        optional details.
      content:
        application/json:
          example:
            code: NOT_FOUND
            message: The requested resource was not found.
            details:
              request_id: a3b7c4d2-91e6-4f08-9b5a-2c6d7e8f1043
    SandboxError429:
      description: >-
        Request limit exceeded. Returns a JSON error with code, message, and
        optional details.
      content:
        application/json:
          example:
            code: RATE_LIMITED
            message: Too many requests. Try again in 30 seconds.
            details:
              retry_after_seconds: 30
    SandboxError500:
      description: >-
        Internal server error. Returns a JSON error with code, message, and
        optional details.
      content:
        application/json:
          example:
            code: INTERNAL_ERROR
            message: The request could not be completed. Try again later.
            details:
              request_id: a3b7c4d2-91e6-4f08-9b5a-2c6d7e8f1043
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````